View Issue Details

IDProjectCategoryView StatusLast Update
00280092.x IDE BugsPreferencesPublic2018-06-12 14:33
ReporterRoss ManthorpAssigned ToSteven Campbell 
PriorityHighSeverityC - GeneralReproducibility100%
Status ClosedResolutionFixed 
PlatformWindowsOSWindows 10OS VersionWindows 10
Product Version 
Target VersionFixed in Version 
Summary0028009: Preferences: Android Keystore Requires 2 Password Fields (alias and keystore password)
DescriptionAndroid Keystore Requires 2 Password Fields an alias password and keystore password - they are suggested to not be matched but currently we use one password for both fields - so if a Keystore is made in outside of GM with two different passwords it will not work when brought into GM

'Just to clarify, there are two fields that you need to provide with a password 1. Keystore - Password: Create and confirm a secure password for your keystore. 2. Key - Password: Create and confirm a secure password for your key. This should be different from the password you chose for your keystore'
Tags212
2.x IDE Found In2.1.0.212
2.x Runtime Found In2.1.0.136
2.x IDE Verified In2.1.2.249
2.x Runtime Verified In2.1.2.164

Relationships

related to 0027779 ResolvedCoreTech Android Keystore gadget is not user friendly 

Activities

Steven Campbell

2017-10-11 11:56

Manager   ~0056110

Fixed in Red IDE/GitHub Pull Request 3775
Git ids: 7696ecdec096c84947a595e2130d53a2c843cebb (main fix)
cb6afb0807be7604bc8cc029c1c06469c4a031f1 (missed verification/localisation)

Cherry Picked to Green Ids:
8156d62d8a65583f983b3c0c139ff869862bda6b (main fix)
0e7e507d5de5aa16526f994f4714a6dc26f9e4a2 (missed verification/localisation)

Steven Campbell

2017-10-12 13:52

Manager   ~0056128

Last edited: 2017-10-12 13:54

View 2 revisions

Additional fix in Red IDE Git: 952e3651be2566a9f1a0737439145a50a319c7ea
Cherry-Picked to Green: 845c2f2ac9ff4d0ab5710532cb5c82496c644c26

ALSO runtime Red: 998199ce29a53345f2ca1cd1b333d3dab9121872
Green: ba01890245f713b29a3a9e985509b7171af68bc9